Package com.arms.egovframework.javaservice.treeframework.remote

## Class ScriptSessionManager

- java.lang.Object
- - org.directwebremoting.impl.DefaultScriptSessionManager
  - - com.arms.egovframework.javaservice.treeframework.remote.ScriptSessionManager

- All Implemented Interfaces:
    `org.directwebremoting.extend.InitializingBean`, `org.directwebremoting.extend.ScriptSessionManager`, `org.directwebremoting.extend.UninitializingBean`

      public class ScriptSessionManager
      extends org.directwebremoting.impl.DefaultScriptSessionManager

- - ### Field Summary

    - ### Fields inherited from class org.directwebremoting.impl.DefaultScriptSessionManager

      `ATTRIBUTE_INVALIDATIONLISTENER, converterManager, DEFAULT_SESSION_CHECK_TIME, executor, httpSessionXref, jsonOutput, lastSessionCheckAt, pageNormalizer, scriptSessionCheckTime, scriptSessionListeners, sessionMap`

    - ### Fields inherited from interface org.directwebremoting.extend.ScriptSessionManager

      `DEFAULT_TIMEOUT_MILLIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptSessionManager()` |

  - ### Method Summary

    - ### Methods inherited from class org.directwebremoting.impl.DefaultScriptSessionManager

      `addScriptSessionListener, afterContainerSetup, associateScriptSessionAndHttpSession, checkTimeouts, createScriptSession, destroy, disassociateScriptSessionAndHttpSession, fireScriptSessionCreatedEvent, fireScriptSessionDestroyedEvent, getAllScriptSessions, getInitCode, getOrCreateScriptSession, getScriptSessionById, getScriptSessionsByHttpSessionId, getScriptSessionTimeout, invalidate, maybeCheckTimeouts, removeScriptSessionListener, setConverterManager, setJsonOutput, setPageNormalizer, setScheduledThreadPoolExecutor, setScriptSessionCheckTime, setScriptSessionTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptSessionManager

          public ScriptSessionManager()